=== modified file 'buildout-templates/bin/test.in'
--- buildout-templates/bin/test.in	2010-02-16 15:25:52 +0000
+++ buildout-templates/bin/test.in	2010-02-24 16:44:39 +0000
@@ -38,8 +38,9 @@
 os.environ['TZ'] = 'Asia/Calcutta'
 time.tzset()
 
-# Enable Storm's C extensions.
-os.environ['STORM_CEXTENSIONS'] = '1'
+# Storm's C extensions should already be enabled from lp_sitecustomize.py,
+# which our custom sitecustomize.py ran.
+assert os.environ['STORM_CEXTENSIONS'] == '1'
 
 # Make sure our site.py is the one that subprocesses use.
 os.environ['PYTHONPATH'] = "${scripts:parts-directory}"

=== modified file 'buildout.cfg'
--- buildout.cfg	2010-02-16 15:25:52 +0000
+++ buildout.cfg	2010-02-24 16:44:39 +0000
@@ -34,11 +34,6 @@
 
 [filetemplates]
 recipe = z3c.recipe.filetemplate
-eggs = lp
-       windmill
-# XXX gary 2009-5-12 bug 375751:
-# Make mailman built and installed in a more normal way.
-extra-paths = ${buildout:directory}/lib/mailman
 source-directory = buildout-templates
 
 [scripts]
@@ -50,7 +45,8 @@
 # XXX gary 2009-5-12 bug 375751:
 # Make mailman built and installed in a more normal way.
 extra-paths = ${buildout:directory}/lib/mailman
-add-site-packages = true
+include-site-packages = true
+allowed-eggs-from-site-packages =
 interpreter = py
 # Note that any indentation is lost in initialization blocks.
 initialization =
@@ -70,7 +66,8 @@
 eggs = ${scripts:eggs}
      ipython
 extra-paths = ${scripts:extra-paths}
-add-site-packages = true
+include-site-packages = true
+allowed-eggs-from-site-packages =
 initialization = ${scripts:initialization}
 entry-points = iharness=canonical.database.harness:ipython
 scripts = iharness ipython=ipy

=== modified file 'versions.cfg'
--- versions.cfg	2010-02-16 15:25:52 +0000
+++ versions.cfg	2010-02-24 16:44:39 +0000
@@ -95,7 +95,7 @@
 z3c.ptcompat = 0.5.3
 z3c.recipe.filetemplate = 2.0.2
 z3c.recipe.i18n = 0.5.3
-z3c.recipe.scripts = 1.0.0dev-gary-r108953
+z3c.recipe.scripts = 1.0.0dev-gary-r109416
 z3c.recipe.tag = 0.2.0
 z3c.rml = 0.7.3
 z3c.skin.pagelet = 1.0.2
@@ -105,12 +105,12 @@
 z3c.viewlet = 1.0.0
 z3c.viewtemplate = 0.3.2
 z3c.zrtresource = 1.0.1
-zc.buildout = 1.5.0dev-gary-r108956
+zc.buildout = 1.5.0dev-gary-r109416
 zc.catalog = 1.2.0
 zc.datetimewidget = 0.5.2
 zc.i18n = 0.5.2
 zc.lockfile = 1.0.0
-zc.recipe.egg = 1.2.3dev-gary-r108917
+zc.recipe.egg = 1.2.3dev-gary-r109335
 zc.zservertracelog = 1.1.5
 ZConfig = 2.7.1
 zdaemon = 2.0.4

